{% extends 'shopapp/base.html' %}

{% block title %}
    Group list
{% endblock %}

{% block body %}
    <h1>Group</h1>
    <div>
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <button type="submit">Create</button>
        </form>
    </div>
    <div>
        {% if not groups %}
            <h3>No groups yet</h3>
        {% else %}
            {% for group in groups %}
                <li>
                    <div>
                        {{ group }}
                    </div>
                    <div>
                        <ul>
                            {% for permission in group.permissions.all %}
                                <li>
                                    {{ permission.name }}
                                    (<code>{{ permission.codename }}</code>)
                                </li>
                            {% endfor %}

                        </ul>
                    </div>
                </li>
            {% endfor %}
        {% endif %}
    </div>
{% endblock %}